Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.http
Class HttpServletResponseWrapper

    java.lang.Object
      |
      +--javax.servlet.ServletResponseWrapper
            |
            +--javax.servlet.http.HttpServletResponseWrapper

public class HttpServletResponseWrapper
extends ServletResponseWrapper
implements HttpServletResponse

Provides a convenient implementation of the HttpServletResponse interface that can be subclassed by developers wishing to adapt the response from a Servlet. This class implements the Wrapper or Decorator pattern. Methods default to calling through to the wrapped response object.

Since:
  v 2.3
See Also:
  `HttpServletResponse`

Constructor Summary
`HttpServletResponseWrapper(HttpServletResponse response)` Constructs a response adaptor wrapping the given response.

Method Summary
`void` | `addCookie(Cookie cookie)` The default behavior of this method is to call addCookie(Cookie cookie) on the wrapped response object.
`void` | `addDateHeader(java.lang.String name, long date)` The default behavior of this method is to call addDateHeader(String name, long date) on the wrapped response object.
`void` | `addHeader(java.lang.String name, java.lang.String value)` The default behavior of this method is to return addHeader(String name, String value) on the wrapped response object.
`void` | `addIntHeader(java.lang.String name, int value)` The default behavior of this method is to call addIntHeader(String name, int value) on the wrapped response object.
`boolean` | `containsHeader(java.lang.String name)` The default behavior of this method is to call containsHeader(String name) on the wrapped response object.
`java.lang.String` | `encodeRedirectUrl(java.lang.String url)` The default behavior of this method is to return encodeRedirectUrl(String url) on the wrapped response object.
`java.lang.String` | `encodeRedirectURL(java.lang.String url)` The default behavior of this method is to return encodeRedirectURL(String url) on the wrapped response object.
`java.lang.String` | `encodeUrl(java.lang.String url)` The default behavior of this method is to call encodeUrl(String url) on the wrapped response object.
`java.lang.String` | `encodeURL(java.lang.String url)` The default behavior of this method is to call encodeURL(String url) on the wrapped response object.
`void` | `sendError(int sc)` The default behavior of this method is to call sendError(int sc) on the wrapped response object.
`void` | `sendError(int sc, java.lang.String msg)` The default behavior of this method is to call sendError(int sc, String msg) on the wrapped response object.
`void` | `sendRedirect(java.lang.String location)` The default behavior of this method is to return sendRedirect(String location) on the wrapped response object.
`void` | `setDateHeader(java.lang.String name, long date)` The default behavior of this method is to call setDateHeader(String name, long date) on the wrapped response object.
`void` | `setHeader(java.lang.String name, java.lang.String value)` The default behavior of this method is to return setHeader(String name, String value) on the wrapped response object.
`void` | `setIntHeader(java.lang.String name, int value)` The default behavior of this method is to call setIntHeader(String name, int value) on the wrapped response object.
`void` | `setStatus(int sc)` The default behavior of this method is to call setStatus(int sc) on the wrapped response object.
`void` | `setStatus(int sc, java.lang.String sm)` The default behavior of this method is to call setStatus(int sc, String sm) on the wrapped response object.

Methods inherited from class javax.servlet.ServletResponseWrapper
`flushBuffer, getBufferSize, getCharacterEncoding, getLocale, getOutputStream, getResponse, getWriter, isCommitted, reset, resetBuffer, setBufferSize, setContentLength, setContentType, setLocale, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpServletResponseWrapper

    public HttpServletResponseWrapper(HttpServletResponse response)

  Constructs a response adaptor wrapping the given response.
  Throws:
    java.lang.IllegalArgumentException - if the response is null

Method Detail

### addCookie

    public void addCookie(Cookie cookie)

  The default behavior of this method is to call addCookie(Cookie cookie) on the wrapped response object.
  Specified by:
    addCookie in interface HttpServletResponse

### containsHeader

    public boolean containsHeader(java.lang.String name)

  The default behavior of this method is to call containsHeader(String name) on the wrapped response object.
  Specified by:
    containsHeader in interface HttpServletResponse

### encodeURL

    public java.lang.String encodeURL(java.lang.String url)

  The default behavior of this method is to call encodeURL(String url) on the wrapped response object.
  Specified by:
    encodeURL in interface HttpServletResponse

### encodeRedirectURL

    public java.lang.String encodeRedirectURL(java.lang.String url)

  The default behavior of this method is to return encodeRedirectURL(String url) on the wrapped response object.
  Specified by:
    encodeRedirectURL in interface HttpServletResponse

### encodeUrl

    public java.lang.String encodeUrl(java.lang.String url)

  The default behavior of this method is to call encodeUrl(String url) on the wrapped response object.
  Specified by:
    encodeUrl in interface HttpServletResponse

### encodeRedirectUrl

    public java.lang.String encodeRedirectUrl(java.lang.String url)

  The default behavior of this method is to return encodeRedirectUrl(String url) on the wrapped response object.
  Specified by:
    encodeRedirectUrl in interface HttpServletResponse

### sendError

    public void sendError(int sc,
                          java.lang.String msg)
                   throws java.io.IOException

  The default behavior of this method is to call sendError(int sc, String msg) on the wrapped response object.
  Specified by:
    sendError in interface HttpServletResponse

### sendError

    public void sendError(int sc)
                   throws java.io.IOException

  The default behavior of this method is to call sendError(int sc) on the wrapped response object.
  Specified by:
    sendError in interface HttpServletResponse

### sendRedirect

    public void sendRedirect(java.lang.String location)
                      throws java.io.IOException

  The default behavior of this method is to return sendRedirect(String location) on the wrapped response object.
  Specified by:
    sendRedirect in interface HttpServletResponse

### setDateHeader

    public void setDateHeader(java.lang.String name,
                              long date)

  The default behavior of this method is to call setDateHeader(String name, long date) on the wrapped response object.
  Specified by:
    setDateHeader in interface HttpServletResponse

### addDateHeader

    public void addDateHeader(java.lang.String name,
                              long date)

  The default behavior of this method is to call addDateHeader(String name, long date) on the wrapped response object.
  Specified by:
    addDateHeader in interface HttpServletResponse

### setHeader

    public void setHeader(java.lang.String name,
                          java.lang.String value)

  The default behavior of this method is to return setHeader(String name, String value) on the wrapped response object.
  Specified by:
    setHeader in interface HttpServletResponse

### addHeader

    public void addHeader(java.lang.String name,
                          java.lang.String value)

  The default behavior of this method is to return addHeader(String name, String value) on the wrapped response object.
  Specified by:
    addHeader in interface HttpServletResponse

### setIntHeader

    public void setIntHeader(java.lang.String name,
                             int value)

  The default behavior of this method is to call setIntHeader(String name, int value) on the wrapped response object.
  Specified by:
    setIntHeader in interface HttpServletResponse

### addIntHeader

    public void addIntHeader(java.lang.String name,
                             int value)

  The default behavior of this method is to call addIntHeader(String name, int value) on the wrapped response object.
  Specified by:
    addIntHeader in interface HttpServletResponse

### setStatus

    public void setStatus(int sc)

  The default behavior of this method is to call setStatus(int sc) on the wrapped response object.
  Specified by:
    setStatus in interface HttpServletResponse

### setStatus

    public void setStatus(int sc,
                          java.lang.String sm)

  The default behavior of this method is to call setStatus(int sc, String sm) on the wrapped response object.
  Specified by:
    setStatus in interface HttpServletResponse

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD